{
  "AbilityName": "HeavyStriker_Unagi_Illusion_Control",
  "AbilitySpecials": {
    "AS_Attack_Index": {
      "Value": 1,
      "ValueType": "Integer"
    }
  },
  "AbilityStacking": "Unique",
  "OnAbilityTrigger": [
    {
      "$type": "TriggerAbilityAction",
      "AbilityName": "Graph_HeavyStriker_Unagi_Illusion_SetPosRot_01",
      "Predicates": [
        {
          "$type": "ByAbilitySpecial",
          "CompareType": "Equal",
          "Param": 1,
          "ParamName": "AS_Attack_Index",
          "ParamType": "Integer"
        }
      ]
    },
    {
      "$type": "TriggerAbilityAction",
      "AbilityName": "Graph_HeavyStriker_Unagi_Illusion_SetPosRot_02",
      "Predicates": [
        {
          "$type": "ByAbilitySpecial",
          "CompareType": "Equal",
          "Param": 2,
          "ParamName": "AS_Attack_Index",
          "ParamType": "Integer"
        }
      ]
    },
    {
      "$type": "TriggerAbilityAction",
      "AbilityName": "Graph_HeavyStriker_Unagi_Illusion_SetPosRot_03",
      "Predicates": [
        {
          "$type": "ByAbilitySpecial",
          "CompareType": "Equal",
          "Param": 3,
          "ParamName": "AS_Attack_Index",
          "ParamType": "Integer"
        }
      ]
    }
  ],
  "OnAdded": [
    {
      "$type": "WriteAIParamAction",
      "FloatParamValue": 2,
      "ParamName": "AttackCD_Success"
    },
    {
      "$type": "ApplyAbilityAction",
      "AbilityName": "HeavyStriker_Unagi_Illusion_Summon",
      "IsAutoTrigger": true
    },
    {
      "$type": "ApplyAbilityAction",
      "AbilityName": "Graph_HeavyStriker_Unagi_Illusion_SetPosRot_01",
      "IsAutoTrigger": false
    },
    {
      "$type": "ApplyAbilityAction",
      "AbilityName": "Graph_HeavyStriker_Unagi_Illusion_SetPosRot_02",
      "IsAutoTrigger": false
    },
    {
      "$type": "ApplyAbilityAction",
      "AbilityName": "Graph_HeavyStriker_Unagi_Illusion_SetPosRot_03",
      "IsAutoTrigger": false
    },
    {
      "$type": "ApplyAbilityAction",
      "AbilityName": "HeavyStriker_Unagi_Illusion_ShowTips",
      "IsAutoTrigger": false
    }
  ]
}